package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpInquiryDetail对象",
   description = "询价详情表"
)
public class DrpInquiryDetail {
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("询价明细id")
   private Long inquiryDetailId;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("备注")
   private String notes;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("备注")
   private String remark;
   @TableField(
           value = "createBy",
           fill = FieldFill.INSERT
   )
   private String createBy;
   @ApiModelProperty("创建时间")
   @TableField(
           value = "createTime",
           fill = FieldFill.INSERT
   )
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   @TableField(
           value = "updateBy",
           fill = FieldFill.UPDATE
   )
   private String updateBy;
   @ApiModelProperty("更新时间")
   @TableField(
           value = "updateTime",
           fill = FieldFill.UPDATE
   )
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getNotes() {
      return this.notes;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setNotes(final String notes) {
      this.notes = notes;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }
}
